#!/bin/sh

UPDATEDIR=update-tral7

case "$1" in
    start | restart | reload )
    echo "Recovery service"
    ls /dev/sd* 1>/dev/null 2>/dev/null
    if [ $? -ne 0 ] ; then
    	exit
    fi
    for ds in /dev/sd* ; do
	dn=$ds
    done
    if [ ! -d /mnt/storage ] ; then
	mkdir /mnt/storage
    fi
    mount $dn /mnt/storage
    if [ $? -ne 0 ] ; then
	echo "mounting error: $dn on /mnt/storage"
    	exit
    fi
    if [ -f /mnt/storage/$UPDATEDIR/update.sh ] ; then
	echo "Update script found, executing"
	sh /mnt/storage/$UPDATEDIR/update.sh
    fi
    umount /mnt/storage
    ;;
    *)
    echo $"Usage: $0 {start|restart}"
    exit 1
esac

exit $?
