#!/bin/sh

MAXIPC=32

start() {
	echo -n "STARTING SHARED MANAGER "
	echo $MAXIPC > /proc/sys/kernel/msgmni
	ps | grep "/usr/bin/shmgr" | grep -v grep 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ] ; then
			echo "Shared manager already running"
			exit 0
	fi
	
	killall wdkicker.sh  1>/dev/null 2>/dev/null
	
	/usr/bin/shmgr 2>/dev/null 1>/dev/null
#	/usr/bin/shmgr -nowd 2>/dev/null 1>/dev/null
	STARTED=0
	for i in `seq 1 5` ; do
		ps | grep shmgr | grep -v grep | grep -v shmgr.sh 2>/dev/null 1>/dev/null
		if [ $? -eq 0 ]; then
			STARTED=1
			break
		fi
		sleep 1
	done

	if [ $STARTED -ne 1 ]; then
		logger "Shmgr didn't start in 5 secs"
		echo "ERROR"
	else
		echo "OK"
	fi
}

stop(){
	echo -n "STOPPING SHARED MANAGER "
	killall shmgr
#	/usr/bin/wdctl 0 > /dev/null

	for i in `seq 1 30` ; do
		ps | grep shmgr | grep -v grep | grep -v shmgr.sh 2>/dev/null 1>/dev/null
		if [ $? -ne 0 ]; then
			break
		fi
		sleep 1
	done
	echo "OK"
}

restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
esac

