#!/bin/sh

start() {
	echo -n "STARTING STATE MANAGER "
	
	ps | grep "/usr/bin/state_mgr_2" | grep -v grep 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ] ; then
			echo "State manager already running"
			exit 0
	fi
	
	/usr/bin/state_mgr_2 2>/dev/null 1>/dev/null
	STARTED=0
	for i in `seq 1 5` ; do
		ps | grep state_mgr_2 | grep -v grep 2>/dev/null 1>/dev/null
		if [ $? -eq 0 ]; then
			STARTED=1
			break
		fi
		sleep 1
	done

	if [ $STARTED -ne 1 ]; then
		logger "State manager didn't start in 5 secs"
		echo "ERROR"
		exit 0
	fi


	ps | grep "/usr/bin/sheduler" | grep -v grep 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ] ; then
			echo "Sheduler already running"
			exit 0
	fi

	/usr/bin/sheduler 1>/dev/null 2>/dev/null
	STARTED=0
	for i in `seq 1 5` ; do
		ps | grep sheduler | grep -v grep 2>/dev/null 1>/dev/null
		if [ $? -eq 0 ]; then
			STARTED=1
			break
		fi
		sleep 1
	done

	if [ $STARTED -ne 1 ]; then
		logger "Sheduler didn't start in 5 secs"
		echo "ERROR"
		exit 0
	fi

	echo "OK"
}

stop(){
	echo -n "STOPPING STATE MANAGER "
	
	killall state_mgr_2
	killall sheduler

	for i in `seq 1 30` ; do
	
		ps | grep state_mgr_2 | grep -v grep 2>/dev/null 1>/dev/null
		if [ $? -ne 0 ]; then
		
			ps | grep sheduler | grep -v grep 2>/dev/null 1>/dev/null
			if [ $? -ne 0 ]; then
				break
			fi
			
		fi
		sleep 1
		
	done

	echo "OK"
}

restart() {
	stop
	start
}	

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
esac

