#!/bin/sh

start() {
	echo -n "STARTING VIDEO MANAGER "
	ps | grep "/usr/bin/video_manager" | grep -v grep 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ] ; then
			echo "Video manager already running"
			exit 0
	fi

	/usr/bin/video_manager

	STARTED=0
	for i in `seq 1 10` ; do
		ps | grep video_manager | grep -v grep | grep -v videomgr.sh 2>/dev/null 1>/dev/null
		if [ $? -eq 0 ]; then
			STARTED=1
			break
		fi
		sleep 1
	done

	if [ $STARTED -ne 1 ]; then
		logger "Video manager didn't start in 10 secs"
		echo "ERROR"
	else
		echo "OK"
	fi
}

stop(){
	echo -n "STOPPING VIDEO MANAGER  "
	killall video_manager 1>/dev/null 2>/dev/null

	for i in `seq 1 30` ; do
		ps | grep video_manager | grep -v grep | grep -v videomgr.sh 2>/dev/null 1>/dev/null
		if [ $? -ne 0 ]; then
			break
		fi
		sleep 1
	done

	ps | grep video_manager | grep -v grep | grep -v videograb.sh 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ]; then
		killall -9 video_manager 1>/dev/null 2>/dev/null
		echo "ERROR video manager forced to kill"
		spi_stop_dsp_mips
	else
		echo "OK"
	fi
}

restart() {
	stop
	start
}

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
esac

