#!/bin/sh

start() {
	echo -n "STARTING VIDEOGRABBER "
	ps | grep "/usr/bin/videograb" | grep -v grep 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ] ; then
			echo "Videograbber already running"
			exit 0
	fi

	/usr/bin/videograb

	STARTED=0
	for i in `seq 1 5` ; do
		ps | grep videograb | grep -v grep | grep -v videograb.sh 2>/dev/null 1>/dev/null
		if [ $? -eq 0 ]; then
			STARTED=1
			break
		fi
		sleep 1
	done

	if [ $STARTED -ne 1 ]; then
		logger "Videograber didn't start in 5 secs"
		echo "ERROR"
	else
		echo "OK"
	fi
}

stop(){
	echo -n "STOPPING VIDEOGRABBER  "
	killall videograb 1>/dev/null 2>/dev/null

	for i in `seq 1 30` ; do
		ps | grep videograb | grep -v grep | grep -v videograb.sh 2>/dev/null 1>/dev/null
		if [ $? -ne 0 ]; then
			break
		fi
		sleep 1
	done
	
	ps | grep videograb | grep -v grep | grep -v videograb.sh 2>/dev/null 1>/dev/null
	if [ $? -eq 0 ]; then
		killall -9 videograb 1>/dev/null 2>/dev/null
		echo "ERROR videograb forced to kill"
	else
		echo "OK"
	fi
}

restart() {
	stop
	start
}

case "$1" in
  start)
  	start
	;;
  stop)
  	stop
	;;
  restart|reload)
  	restart
	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
esac

