#!/bin/sh

APPLICATIONS="all.in.one all.in.one_custom informer mail_filter getgps led_control button_control "

SETUPPID="$2"
ALLINONESERVERPID="$3"

start() {
	echo -n "STARTING VIDEO "

	nice -n 20 /usr/bin/mail_filter 1>/dev/null 2>/dev/null

	/usr/bin/informer 1>/dev/null 2>/dev/null
	/usr/bin/all.in.one  1>/dev/null 2>/dev/null
	/usr/bin/all.in.one_custom  1>/dev/null 2>/dev/null

	/usr/bin/getgps /dev/ttyS1 SERIAL /etc 1>/dev/null 2>/dev/null
	/usr/bin/led_control 1>/dev/null 2>/dev/null
	/usr/bin/button_control 1>/dev/null 2>/dev/null


	for i in `seq 1 5` ; do
		COUNT=0

		for j in $APPLICATIONS; do
			pidof $j 2>/dev/null 1>/dev/null
			if [ $? -ne 0 ]; then
				COUNT=1
			fi
		done

		if [ $COUNT -eq 0 ]; then
			break
		fi
		sleep 1
	done

	for j in $APPLICATIONS; do

		pidof $j 2>/dev/null 1>/dev/null
		if [ $? -ne 0 ]; then
			logger "Application $j didn't start in 30 secs"
		fi
	done

	echo "OK"
}

stop(){
	echo -n "STOPPING VIDEO  "

	kill $ALLINONESERVERPID 1>/dev/null 2>/dev/null
	
	PIDS=`pidof $APPLICATIONS`
	if [ -n "$SETUPPID" ] ; then
		PIDS=`echo $PIDS | sed 's/'$SETUPPID'//g'`
	fi
	if [ -n "$PIDS" ] ; then
		kill $PIDS 1>/dev/null 2>/dev/null
	fi

	killall mail_send.sh 1>/dev/null 2>/dev/null
	killall ssmtp 1>/dev/null 2>/dev/null
	rm -rf /tmp/mail_send_lock 1>/dev/null 2>/dev/null

	for i in `seq 1 30` ; do

		COUNT=0

		PIDS=`pidof $APPLICATIONS`
		if [ -n "$SETUPPID" ] ; then
			PIDS=`echo $PIDS | sed 's/'$SETUPPID'//g'`
		fi
		if [ -z "$PIDS" ] ; then
			break
		fi

		sleep 1
	done

	PIDS=`pidof $APPLICATIONS`
	if [ -n "$SETUPPID" ] ; then
		PIDS=`echo $PIDS | sed 's/'$SETUPPID'//g'`
	fi
	if [ -n "$PIDS" ] ; then
		kill -9 $PIDS 2>/dev/null 1>/dev/null
		logger "Application $j was killed with -KILL"
	fi

	echo "OK"
}

restart() {
	stop
	start
}

case "$1" in
	start)
	start
	;;
	stop)
	stop
	;;
	restart|reload)
	restart
	;;
	*)
	echo $"Usage: $0 {start|stop|restart} [net.setup pid] [all.in.one server pid]"
esac

