#!/bin/sh

if [ ! -f /usr/lib/ipkg/info/Tral.is_opt ] ; then

	touch /usr/lib/ipkg/info/Tral.is_opt
	CONTROLFILE=/usr/lib/ipkg/info/Tral.control
	
	echo "Package: Tral76" > ${CONTROLFILE}
	echo "Version: `cat /etc/version`" >> ${CONTROLFILE}
	echo "Description: Tral76 Base System" >> ${CONTROLFILE}
	echo "Section: base" >> ${CONTROLFILE}
	echo "Priority: required" >> ${CONTROLFILE}
	echo "Maintainer: SMP" >> ${CONTROLFILE}
	echo "Architecture: all" >> ${CONTROLFILE}
	echo "Homepage: http://tral.ru" >> ${CONTROLFILE}
	echo "Depends:" >> ${CONTROLFILE}
	echo "Source: file://none" >> ${CONTROLFILE}
fi

# Parse kernel command line for serial number and 
let DEVICE_ID=0
PLATFORM=''

for cmdLineOption in `cat /proc/cmdline`
do
	if [ "${cmdLineOption%=*}" = "snum" ]
	then
		DEVICE_ID=${cmdLineOption##*=}
	fi
	if [ "${cmdLineOption%=*}" = "platform" ]
	then
		PLATFORM=${cmdLineOption##*=}
	fi
done

if [ ${DEVICE_ID} -eq 0 ] ; then
	echo "Wrong serial number in /proc/cmdline"
	exit 1
fi

if [ -z "${PLATFORM}" ] ; then
	echo "Wrong platform string in /proc/cmdline"
	exit 1
fi

if [ -z "${TRAL_CONF_DIR}" ] ; then
	TRAL_CONF_DIR="/etc/"
fi

# SSH disabled
#    cat /etc/passwd | grep -v '^root:' > /etc/passwd
#    echo "root:\$1\$fmRnx.VS\$JjZ4/USvyaQ618zLhN/on1:0:0:root:/home/root:/bin/sh" >> /etc/passwd

# Set device name
DEVICE_NAME=tral-${DEVICE_ID}
txtconfig ${TRAL_CONF_DIR}/streams.ini common deviceid ${DEVICE_NAME} 2>/dev/null 1>/dev/null

echo ${DEVICE_NAME} > /etc/hostname
hostname ${DEVICE_NAME} 1>/dev/null 2>/dev/null

echo -e "auto lo\niface lo inet loopback\n\nauto eth0\niface eth0 inet dhcp\nhostname \"${DEVICE_NAME}\"\niface eth1 inet dhcp\n" > /etc/network/interfaces

# Set platform string
#txtconfig ${TRAL_CONF_DIR}/streams.ini common platform ${PLATFORM} 2>/dev/null 1>/dev/null

#
ln -sf /tmp/disc/log /var/log

rm -rf $0
	

