#!/bin/sh 

errexit() {
	adjtimex -t 10000 -f 0  1>/dev/null 2>/dev/null
	exit 1
}

if [ -f ${TRAL_CONF_DIR}/time.cfg ] ; then
    USENTP=`cat ${TRAL_CONF_DIR}/time.cfg`
else
    errexit
fi
if [ "$USENTP" -eq 1 ] ; then
	errexit
fi
 
CORRECTION_PERIOD_HOURS=`txtconfig ${TRAL_CONF_DIR}/streams.ini time correction_period_hours`
if [ $? -ne 0 ] ; then
	errexit
fi
if [ "$CORRECTION_PERIOD_HOURS" -eq 0 ] ; then
	errexit
fi

CORRECTION_VALUE_SECONDS=`txtconfig ${TRAL_CONF_DIR}/streams.ini time correction_value_seconds`
if [ $? -ne 0 ] ; then
	errexit
fi
if [ "$CORRECTION_VALUE_SECONDS" -eq 0 ] ; then
	errexit
fi

K=`echo | awk '{print '$CORRECTION_VALUE_SECONDS'/'$CORRECTION_PERIOD_HOURS'/0.36}'`
T=`echo $K | awk '{ printf("%d",10000+int($1)) }'`
F=`echo $K | awk '{ if(int($1)==0) { printf("%d", $1*6553600) } else { printf("%d", $1%int($1)*6553600) } }'`

adjtimex -t $T -f $F  1>/dev/null 2>/dev/null
