#!/bin/sh

LOG="/usr/bin/logger -t $0"

WARNING="${LOG} Warning: "
ERROR="${LOG} Error: "

TXTCONFIG=/usr/bin/txtconfig
TRAL_CONF_DIR="/etc/"
LABEL=tral-storage
DISK_TYPE_DIR=/dev/disk/type/usb

DISK_BASENAME=`echo ${DISK_TYPE_DIR}/sd? | awk '{ print substr($NF,length($NF)-2,3) }'`
DISK=/dev/${DISK_BASENAME}
if [ -b ${DISK} ] ; then
	PART1=${DISK}1
	PART2=${DISK}2
else
#mmc#	DISK_BASENAME=`echo /dev/mmcblk? | awk '{ print substr($NF,6,7) }'`
#mmc#	DISK=/dev/${DISK_BASENAME}
#mmc#	if [ -b ${DISK} ] ; then
#mmc#		PART1=${DISK}p1
#mmc#		PART2=${DISK}p2
#mmc#	else
		${ERROR} "You haven't USB disk"
		echo "You haven't USB disk"
		rm /tmp/formatting_usb
		exit 1
#mmc#	fi
fi

#if [ "$1" != "automount" ] ; then 
#	/usr/bin/savermgr.sh stop
#	udevadm control --stop_exec_queue
#fi

mount | grep "${PART1}" 1>/dev/null 2>/dev/null
if [ $? -eq 0 ] ; then
	/bin/umount -f "${PART1}"
	if [ $? -ne 0 ] ; then
		/bin/umount -l "${PART1}"
		if [ $? -ne 0 ] ; then
			${ERROR} "Unable to unmount ${PART1}"
			echo "Unable to unmount ${PART1}"
			rm /tmp/formatting_usb
			exit 1
		fi
	fi
fi

#/usr/bin/wdctl 1 4000

echo -n "Preparing media ${DISK}..." ; dd if=/dev/zero of=${DISK} bs=1024 count=8192 2>/dev/null ; echo " done"
${LOG} "Partition ${PART1}"
echo "Partition ${PART1}"
/sbin/fdisk ${DISK} <<'EOT' 1>/dev/null 2>/dev/null
o
n
p
1


w
EOT

if [ $? -ne 0 ] ; then
	${ERROR} "Unable to fdisk ${DISK}"
	echo "Unable to fdisk ${DISK}"
	rm /tmp/formatting_usb
	exit 1
fi

${LOG} "Formatting ${PART1}"
echo "Formatting ${PART1}"
/sbin/mke2fs -q -O dir_index,sparse_super,has_journal -i 1048576 -j -m 0 ${PART1} -L "$LABEL" 1> /dev/null 2> /dev/null
if [ $? -ne 0 ] ; then
	${ERROR} "Unable to format ${PART1}"
	echo "Unable to format ${PART1}"
fi

#if [ "$1" != "automount" ] ; then 
#	udevadm control --start_exec_queue
#	/usr/bin/savermgr.sh start
#fi

echo "Format USB done"

rm /tmp/formatting_usb
exit 0