#!/bin/sh

if [ ! -f /usr/bin/format_hdd_flag ] && [ ! -f /usr/bin/format_usb_flag ] ; then
	echo "Format service not requested now, exit"
	exit 0
fi

if [ "$1" != "automount" ] ; then 
	/usr/bin/savermgr.sh stop
	udevadm control --stop_exec_queue
fi

/usr/bin/wdctl 1 7200

if [ -f /usr/bin/format_hdd_flag ] ; then
	rm -f /usr/bin/format_hdd_flag
	touch /tmp/formatting_hdd
	/usr/bin/fmt_hdd.sh 1>/dev/null 2>/dev/null &
fi
if [ -f /usr/bin/format_usb_flag ] ; then
	rm -f /usr/bin/format_usb_flag
	touch /tmp/formatting_usb
	/usr/bin/fmt_usb.sh 1>/dev/null 2>/dev/null &
fi

sleep 5

while [ -f /tmp/formatting_hdd ] || [ -f /tmp/formatting_usb ] ; do
	if [ -f /tmp/formatting_hdd ] && [ -f /tmp/formatting_usb ] ; then
		msgsend -n 255 -s "Formatting HDD, SD-card"
	else
		if [ -f /tmp/formatting_hdd ] ; then
			msgsend -n 255 -s "Formatting HDD"
		else
			msgsend -n 255 -s "Formatting SD-card"
		fi
	fi
	sleep 10
done

if [ "$1" != "automount" ] ; then 
	udevadm control --start_exec_queue
	/usr/bin/savermgr.sh start
fi

for i in 1 2 3 ; do
	msgsend -n 255 -s "Formatting done"
	sleep 10
done

exit 0
