#!/bin/sh

LOCKFILE="/tmp/mail_send.lock"

if [ -f ${LOCKFILE} ] ; then 
	exit
fi

touch ${LOCKFILE}

MAILDISC=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail mail_disc`
DEVICEID=`txtconfig ${TRAL_CONF_DIR}/streams.ini common deviceid`
MOUNTPOINT=`txtconfig ${TRAL_CONF_DIR}/streams.ini ${MAILDISC} mountpoint`
MAILDIR=`txtconfig ${TRAL_CONF_DIR}/streams.ini ${MAILDISC} maildir`

STORAGE_PATH="${MOUNTPOINT}/${DEVICEID}/${MAILDIR}"

while true ; do

	MAIL_LIST=`ls ${STORAGE_PATH}/*.mail 2> /dev/null`
	if [ -z "${MAIL_LIST}" ] ; then 
		rm ${LOCKFILE}
		exit
	fi

	USER=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail smtp_user`
	PASS=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail smtp_pass`
	TO=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail smtp_to`
	ERR_MSG=`txtconfig ${TRAL_CONF_DIR}/streams.ini smtp_mail send_error_msg`
	SSMTP=/usr/bin/ssmtp
	
	for i in ${MAIL_LIST}; do
		cat $i | nice -n 20 ${SSMTP} -au ${USER} -ap ${PASS} ${TO} 
		if [ $? -eq 0 ]; then
			rm $i
		else
#			msgsend -n 255 -s "${ERR_MSG}"
			rm ${LOCKFILE}
			exit
		fi
	done

done

