#!/bin/sh
PATH=/usr/sbin:/bin:/usr/bin:/sbin

if [ -z $1 ] ; then
		echo "usage: $0 <ipk>"
		exit 2
fi

if [ ! -f $1 ] ; then
		echo "$1 not found"
		exit 1
fi

NAME=`ipkg -t /tmp -V 3 --test install $1 | head -n 3 | tail -n 1 | cut -f 5 -d ' '` 
if [ ! -z $NAME ]; then
		/usr/bin/ipkg -t /tmp install $1 1> /tmp/install_log 
		if [ $? -ne 0 ]; then
				cat /tmp/install_log | grep ERROR | grep dependencies 
				if [ $? -eq 0 ]; then
						echo "ipkg: Dependencies: " >> /var/install_log
						echo -n "ipkg: " >> /var/install_log
						cat /tmp/install_log | tail -n 1 >> /var/install_log
				else
						echo "ipkg: Internal error" >> /var/install_log
				fi
		else
				touch /usr/lib/ipkg/info/${NAME}.is_opt
		fi
else
		echo "ipkg: Package is not compatible" > /var/install_log
fi
rm -rf $1
rm /tmp/install_log
